# eric3.Wizards.Wizard

Module implementing the highlevel wizard functions.

### Classes

Wizards | Class implementing the highlevel wizard functions.

### Functions

None

## Wizards

Class implementing the highlevel wizard functions.

### Derived from

QObject

### Methods

Wizards | Constructor
getActions | Public method to get a list of all actions.
getCurrentEditor | Public method to get a reference to the current editor.
init | Private method to register all the wizards.
initMenu | Public slot to initialize the wizards menu.
insertSeparator | Private method to prepare a menu separator.
loadWizardTranslator | Private method to load a wizard's translator.

### Wizards (Constructor)

Wizards(loc, parent = None)

Constructor

loc
  the localizer string as determined by the main script (string)

### Wizards.getActions

getActions()

Public method to get a list of all actions.

Returns:
  list of all actions (list of E3Action)

### Wizards.getCurrentEditor

getCurrentEditor()

Public method to get a reference to the current editor.

Returns:
  the current editor

### Wizards.init

init()

Private method to register all the wizards.

### Wizards.initMenu

initMenu()

Public slot to initialize the wizards menu.

Returns:
  the generated menu

### Wizards.insertSeparator

insertSeparator()

Private method to prepare a menu separator.

### Wizards.loadWizardTranslator

loadWizardTranslator(wizard)

Private method to load a wizard's translator.

wizard
  reference to the wizard object.

Up